Google Web Toolkit (Beta)
Search this site:

# Interface TreeListener

public interface TreeListener
extends EventListener
Event listener interface for tree events.

## Methods

onTreeItemSelected(TreeItem) | Fired when a tree item is selected.
onTreeItemStateChanged(TreeItem) | Fired when a tree item is opened or closed.

## Method Detail

### onTreeItemSelected

public void onTreeItemSelected(TreeItem item)
Fired when a tree item is selected.

#### Parameters

item
  the item being selected.

### onTreeItemStateChanged

public void onTreeItemStateChanged(TreeItem item)
Fired when a tree item is opened or closed.

#### Parameters

item
  the item whose state is changing.